Package org.apache.torque.generator.outlet.java

## Class XmlOutlet

- java.lang.Object
- - org.apache.torque.generator.outlet.OutletImpl
  - - org.apache.torque.generator.outlet.java.OutletWithoutMergepoints
    - - org.apache.torque.generator.outlet.java.XmlOutlet

- All Implemented Interfaces:
    `Outlet`

      public class XmlOutlet
      extends OutletWithoutMergepoints

  Outputs the source tree as XML.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmlOutlet​(QualifiedName name)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OutletResult` | `execute​(ControllerState controllerState)` | Generates the output for this template into the Generated object.
    `boolean` | `isCreateIdAttributes()` | Returns whether id attributes are automatically created in the output.
    `void` | `setCreateIdAttributes​(boolean createIdAttributes)` | Sets whether id attributes should be automatically created in the output.

    - ### Methods inherited from class org.apache.torque.generator.outlet.java.OutletWithoutMergepoints

      `addMergepointMapping, getMergepointMapping`

    - ### Methods inherited from class org.apache.torque.generator.outlet.OutletImpl

      `afterExecute, beforeExecute, getInputClass, getInputElementName, getMergepointMappings, getName, getVariable, mergepoint, setInputClass, setInputElementName, setMergepointMapping, setVariable, setVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlOutlet

          public XmlOutlet​(QualifiedName name)

      Constructor.
      Parameters:
        `name` - the qualified name of the outlet.

  - ### Method Detail

    - #### execute

          public OutletResult execute​(ControllerState controllerState)
                               throws GeneratorException

      Description copied from interface: `Outlet`
      Generates the output for this template into the Generated object.
      Specified by:
        `execute` in interface `Outlet`
      Specified by:
        `execute` in class `OutletImpl`
      Parameters:
        `controllerState` - the current controller state, not null.
      Returns:
        the output of the Outlet.
      Throws:
        `GeneratorException` - if generation fails.

    - #### isCreateIdAttributes

          public boolean isCreateIdAttributes()

      Returns whether id attributes are automatically created in the output.
      Returns:
        true if id attributes are automatically created, false otherwise.

    - #### setCreateIdAttributes

          public void setCreateIdAttributes​(boolean createIdAttributes)

      Sets whether id attributes should be automatically created in the output.
      Parameters:
        `createIdAttributes` - true if id attributes should be automatically created, false otherwise.